unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls,

  sntpsend;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnGetAndSetTime: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure btnGetAndSetTimeClick(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;


implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.btnGetAndSetTimeClick(Sender: TObject);
var
  sntp: TSNTPSend;
begin
  sntp := TSNTPSend.Create;
  sntp.Timeout:=1000;
  sntp.TargetHost:='pool.ntp.org';
  sntp.SyncTime:=true;
  sntp.MaxSyncDiff:=86400; // 1 day
  try
    if sntp.GetSNTP then
      begin
        Label1.Caption:='Time: '+DateTimeToStr(sntp.NTPTime)+ ' UTC';
        Label2.Caption:='Offset: '+IntToStr(trunc(sntp.NTPOffSet));
        Label3.Caption:='Delay: '+IntToStr(trunc(sntp.NTPDelay));
        Label4.Caption:='MaxSyncDiff: '+IntToStr(trunc(sntp.MaxSyncDiff));
      end
      else Label1.Caption := 'Not contacted!';

  finally
    sntp.free;
  end;
end;


end.

